Login User Information
2/26/26Less than 1 minute
Login User Information
User login verification. Successful login returns an authentication token.
Endpoint: POST /user/login/login_user_info
Request Headers
| Parameter | Required | Description |
|---|---|---|
| Content-Type | Yes | Fixed value: application/json |
Request Parameters
| Parameter | Type | Required | Format | Description |
|---|---|---|---|---|
| user_id | string | Yes | 18-character string | User ID number |
| user_password | string | Yes | - | User's password |
Request Example
{
"user_id": "110***********1234",
"user_password": "********"
}Response Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| status | int | Yes | HTTP status code |
| token | string | Yes | User authentication token |
| code | string | Yes | Login result code |
| result | string | Yes | Login result |
| data | dict | Yes | Login result data |
Success Response Example
{
"status": 200,
"token": "<your_token>",
"code": "10000",
"result": "Login successful",
"data": {}
}Error Response Examples
Endpoint Not Open
{
"status": 403,
"token": "",
"code": "10003",
"result": "Server has not opened this endpoint",
"data": {}
}Invalid Username or Password
{
"status": 401,
"token": "",
"code": "10001",
"result": "Invalid username or password",
"data": {}
}User Does Not Exist
{
"status": 401,
"token": "",
"code": "10002",
"result": "User does not exist",
"data": {}
}Login Failed, Server Internal Error
{
"status": 500,
"token": "",
"code": "10004",
"result": "Login failed, server internal error",
"data": {}
}Error Code Description
| Code | Description |
|---|---|
| 10000 | Login successful |
| 10001 | Invalid username or password |
| 10002 | User does not exist |
| 10003 | Server has not opened this endpoint |
| 10004 | Login failed, server internal error |
Warning
The token returned after successful login has a validity period of 7 days. Please use it within the validity period. After the token expires, you need to re-login to obtain a new token.
Tip
For account security, it is recommended to pause login attempts after a certain number of failed login attempts to prevent brute force attacks.
← Back to API Documentation | ← User Registration | → Get User Information